Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Class CommonFactories

    java.lang.Object
      org.neo4j.kernel.CommonFactories

    public class CommonFactories

extends Object

Nested Class Summary
`static class` | `CommonFactories.DefaultIdGeneratorFactory`

Constructor Summary
`CommonFactories()`

Method Summary
`static org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction` | `defaultFileSystemAbstraction()`
`static IdGeneratorFactory` | `defaultIdGeneratorFactory()`
`static org.neo4j.kernel.impl.core.LastCommittedTxIdSetter` | `defaultLastCommittedTxIdSetter()`
`static LockManagerFactory` | `defaultLockManagerFactory()`
`static org.neo4j.kernel.impl.transaction.xaframework.LogBufferFactory` | `defaultLogBufferFactory(Map<?,?> config)`
`static org.neo4j.kernel.impl.core.RelationshipTypeCreator` | `defaultRelationshipTypeCreator()`
`static org.neo4j.kernel.impl.transaction.TxFinishHook` | `defaultTxFinishHook()`
`static org.neo4j.kernel.impl.transaction.xaframework.TxIdGeneratorFactory` | `defaultTxIdGeneratorFactory()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonFactories

    public CommonFactories()

Method Detail

### defaultLockManagerFactory

    public static LockManagerFactory defaultLockManagerFactory()

### defaultIdGeneratorFactory

    public static IdGeneratorFactory defaultIdGeneratorFactory()

### defaultRelationshipTypeCreator

    public static org.neo4j.kernel.impl.core.RelationshipTypeCreator defaultRelationshipTypeCreator()

### defaultTxIdGeneratorFactory

    public static org.neo4j.kernel.impl.transaction.xaframework.TxIdGeneratorFactory defaultTxIdGeneratorFactory()

### defaultTxFinishHook

    public static org.neo4j.kernel.impl.transaction.TxFinishHook defaultTxFinishHook()

### defaultLastCommittedTxIdSetter

    public static org.neo4j.kernel.impl.core.LastCommittedTxIdSetter defaultLastCommittedTxIdSetter()

### defaultFileSystemAbstraction

    public static org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction defaultFileSystemAbstraction()

### defaultLogBufferFactory

    public static org.neo4j.kernel.impl.transaction.xaframework.LogBufferFactory defaultLogBufferFactory(Map<?,?> config)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.